com.tibbo.aggregate.common.protocol

## Class AggreGateCommand

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.tibbo.aggregate.common.communication.Command
      - - com.tibbo.aggregate.common.protocol.AggreGateCommand

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Direct Known Subclasses:
    IncomingAggreGateCommand, OutgoingAggreGateCommand

      public abstract class AggreGateCommand
      extends Command

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_COMMAND_SEPARATOR`
    `static java.lang.String` | `CLIENT_COMMAND_VISIBLE_SEPARATOR`
    `static char` | `COMMAND_CODE_MESSAGE`
    `static char` | `COMMAND_CODE_REPLY`
    `static char` | `COMMAND_OPERATION_ADD_EVENT_LISTENER`
    `static char` | `COMMAND_OPERATION_CALL_FUNCTION`
    `static char` | `COMMAND_OPERATION_GET_VAR`
    `static char` | `COMMAND_OPERATION_REMOVE_EVENT_LISTENER`
    `static char` | `COMMAND_OPERATION_SET_VAR`
    `static byte` | `END_CHAR`
    `static int` | `INDEX_COMMAND_CODE`
    `static int` | `INDEX_DATA_TABLE_IN_REPLY`
    `static int` | `INDEX_EVENT_CONTEXT`
    `static int` | `INDEX_EVENT_DATA_TABLE`
    `static int` | `INDEX_EVENT_ID`
    `static int` | `INDEX_EVENT_LEVEL`
    `static int` | `INDEX_EVENT_LISTENER`
    `static int` | `INDEX_EVENT_NAME`
    `static int` | `INDEX_EVENT_SERVER_ID`
    `static int` | `INDEX_EVENT_TIMESTAMP`
    `static int` | `INDEX_ID`
    `static int` | `INDEX_MESSAGE_CODE`
    `static int` | `INDEX_OPERATION_CODE`
    `static int` | `INDEX_OPERATION_CONTEXT`
    `static int` | `INDEX_OPERATION_FILTER`
    `static int` | `INDEX_OPERATION_FINGERPRINT`
    `static int` | `INDEX_OPERATION_LISTENER_CODE`
    `static int` | `INDEX_OPERATION_MESSAGE_DATA_TABLE`
    `static int` | `INDEX_OPERATION_MESSAGE_FLAGS`
    `static int` | `INDEX_OPERATION_MESSAGE_QUEUE_NAME`
    `static int` | `INDEX_OPERATION_TARGET`
    `static int` | `INDEX_PROTOCOL_VERSION`
    `static int` | `INDEX_REPLY_CODE`
    `static int` | `INDEX_REPLY_DETAILS`
    `static int` | `INDEX_REPLY_MESSAGE`
    `static int` | `INDEX_START_COMPRESSION`
    `static int` | `INDEX_START_PROTOCOL_VERSION`
    `static byte` | `JSON_START_ARRAY_SEPARATOR`
    `static char` | `MESSAGE_CODE_COMPRESSION`
    `static char` | `MESSAGE_CODE_EVENT`
    `static char` | `MESSAGE_CODE_OPERATION`
    `static char` | `MESSAGE_CODE_START`
    `static byte` | `START_CHAR`

    - ### Fields inherited from class com.tibbo.aggregate.common.communication.Command

      `completed`

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateCommand()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `checkCommandString(java.lang.String commandString)`
    `protected static java.lang.String` | `generateId()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.Command

      `add, complete, footer, getContent, getId, getTimeout, header, isAsync, isContentEmpty, send, send, send, setTimeout`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### START_CHAR

          public static final byte START_CHAR

      See Also:
        Constant Field Values

    - #### END_CHAR

          public static final byte END_CHAR

      See Also:
        Constant Field Values

    - #### COMMAND_CODE_MESSAGE

          public static final char COMMAND_CODE_MESSAGE

      See Also:
        Constant Field Values

    - #### COMMAND_CODE_REPLY

          public static final char COMMAND_CODE_REPLY

      See Also:
        Constant Field Values

    - #### MESSAGE_CODE_START

          public static final char MESSAGE_CODE_START

      See Also:
        Constant Field Values

    - #### MESSAGE_CODE_OPERATION

          public static final char MESSAGE_CODE_OPERATION

      See Also:
        Constant Field Values

    - #### MESSAGE_CODE_EVENT

          public static final char MESSAGE_CODE_EVENT

      See Also:
        Constant Field Values

    - #### MESSAGE_CODE_COMPRESSION

          public static final char MESSAGE_CODE_COMPRESSION

      See Also:
        Constant Field Values

    - #### COMMAND_OPERATION_GET_VAR

          public static final char COMMAND_OPERATION_GET_VAR

      See Also:
        Constant Field Values

    - #### COMMAND_OPERATION_SET_VAR

          public static final char COMMAND_OPERATION_SET_VAR

      See Also:
        Constant Field Values

    - #### COMMAND_OPERATION_CALL_FUNCTION

          public static final char COMMAND_OPERATION_CALL_FUNCTION

      See Also:
        Constant Field Values

    - #### COMMAND_OPERATION_ADD_EVENT_LISTENER

          public static final char COMMAND_OPERATION_ADD_EVENT_LISTENER

      See Also:
        Constant Field Values

    - #### COMMAND_OPERATION_REMOVE_EVENT_LISTENER

          public static final char COMMAND_OPERATION_REMOVE_EVENT_LISTENER

      See Also:
        Constant Field Values

    - #### INDEX_COMMAND_CODE

          public static final int INDEX_COMMAND_CODE

      See Also:
        Constant Field Values

    - #### INDEX_ID

          public static final int INDEX_ID

      See Also:
        Constant Field Values

    - #### INDEX_MESSAGE_CODE

          public static final int INDEX_MESSAGE_CODE

      See Also:
        Constant Field Values

    - #### INDEX_START_PROTOCOL_VERSION

          public static final int INDEX_START_PROTOCOL_VERSION

      See Also:
        Constant Field Values

    - #### INDEX_START_COMPRESSION

          public static final int INDEX_START_COMPRESSION

      See Also:
        Constant Field Values

    - #### INDEX_PROTOCOL_VERSION

          public static final int INDEX_PROTOCOL_VERSION

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_CODE

          public static final int INDEX_OPERATION_CODE

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_CONTEXT

          public static final int INDEX_OPERATION_CONTEXT

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_TARGET

          public static final int INDEX_OPERATION_TARGET

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_MESSAGE_DATA_TABLE

          public static final int INDEX_OPERATION_MESSAGE_DATA_TABLE

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_MESSAGE_QUEUE_NAME

          public static final int INDEX_OPERATION_MESSAGE_QUEUE_NAME

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_MESSAGE_FLAGS

          public static final int INDEX_OPERATION_MESSAGE_FLAGS

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_LISTENER_CODE

          public static final int INDEX_OPERATION_LISTENER_CODE

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_FILTER

          public static final int INDEX_OPERATION_FILTER

      See Also:
        Constant Field Values

    - #### INDEX_OPERATION_FINGERPRINT

          public static final int INDEX_OPERATION_FINGERPRINT

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_CONTEXT

          public static final int INDEX_EVENT_CONTEXT

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_NAME

          public static final int INDEX_EVENT_NAME

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_LEVEL

          public static final int INDEX_EVENT_LEVEL

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_ID

          public static final int INDEX_EVENT_ID

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_LISTENER

          public static final int INDEX_EVENT_LISTENER

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_DATA_TABLE

          public static final int INDEX_EVENT_DATA_TABLE

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_TIMESTAMP

          public static final int INDEX_EVENT_TIMESTAMP

      See Also:
        Constant Field Values

    - #### INDEX_EVENT_SERVER_ID

          public static final int INDEX_EVENT_SERVER_ID

      See Also:
        Constant Field Values

    - #### INDEX_REPLY_CODE

          public static final int INDEX_REPLY_CODE

      See Also:
        Constant Field Values

    - #### INDEX_REPLY_MESSAGE

          public static final int INDEX_REPLY_MESSAGE

      See Also:
        Constant Field Values

    - #### INDEX_REPLY_DETAILS

          public static final int INDEX_REPLY_DETAILS

      See Also:
        Constant Field Values

    - #### INDEX_DATA_TABLE_IN_REPLY

          public static final int INDEX_DATA_TABLE_IN_REPLY

      See Also:
        Constant Field Values

    - #### CLIENT_COMMAND_SEPARATOR

          public static final java.lang.String CLIENT_COMMAND_SEPARATOR

    - #### CLIENT_COMMAND_VISIBLE_SEPARATOR

          public static final java.lang.String CLIENT_COMMAND_VISIBLE_SEPARATOR

      See Also:
        Constant Field Values

    - #### JSON_START_ARRAY_SEPARATOR

          public static final byte JSON_START_ARRAY_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AggreGateCommand

          public AggreGateCommand()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.io.ByteArrayOutputStream`

    - #### generateId

          protected static java.lang.String generateId()

    - #### checkCommandString

          public static java.lang.String checkCommandString(java.lang.String commandString)